Browse Source

initial commit patience

patience
Alf Gaida 4 years ago
commit
a1b548d87f

+ 26
- 0
.gitignore View File

@@ -0,0 +1,26 @@
## ignored editor stuff
*~
*.save

## ignored package stuff
/*/*.build
/*/*.changes
/*/*.deb
/*/*.dsc
/*/*.tar.xz
/*/*.tar.bz2
/*/*.upload


# ignored debian $foo
/*/*/debian/thunderstruck-*/
/*/*/debian/paintitblack-*/
/*/*/debian/whiteroom-*/

/*/*/debian/files
/*/*/debian/debhelper-build-stamp
/*/*/debian/*.debhelper
/*/*/debian/*.log
/*/*/debian/*.substvars
/*/*/debian/tmp


+ 2
- 0
FLAVOUR View File

@@ -0,0 +1,2 @@
FLAVOUR=gdm3
DISPLAY=GDM3

+ 23
- 0
debian/changelog View File

@@ -0,0 +1,23 @@
whiteroom-gdm3-settings (2016.07.07) unstable; urgency=medium

* new bootstrap and manual cleanup

-- Alf Gaida <agaida@siduction.org> Sun, 10 Jul 2016 18:43:55 +0200

whiteroom-gdm3-settings (2016.01.23) unstable; urgency=medium

* new bootstrap for 2016

-- Alf Gaida <agaida@siduction.org> Sun, 24 Jan 2016 00:26:26 +0100

whiteroom-gdm3-settings (2015.08.01) unstable; urgency=medium

* new package, reworked

-- Alf Gaida <agaida@siduction.org> Sat, 08 Aug 2015 12:44:09 +0200

whiteroom-gdm3-settings (2015.1.0) unstable; urgency=medium

* Initial Release.

-- Alf Gaida <agaida@siduction.org> Thu, 16 Jul 2015 01:57:36 +0200

+ 1
- 0
debian/compat View File

@@ -0,0 +1 @@
9

+ 29
- 0
debian/control View File

@@ -0,0 +1,29 @@
Source: whiteroom-gdm3-settings
Section: misc
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Uploaders: Torsten Wohlfarth <towo@siduction.org>,
Ferdinand Thommes <devil@siduction.org>,
Ovidiu Angelescu <convbsd@siduction.net>
Build-Depends: debhelper (>= 9),
dh-systemd
Standards-Version: 3.9.8
Homepage: http://bugs.siduction.org/projects/siduction-settings
Vcs-Git: git://git.siduction.org/code/siduction-settings.git
Vcs-Browser: http://git.siduction.org/?p=code/siduction-settings.git;a=summary

Package: whiteroom-gdm3-settings
Architecture: all
Depends: ${misc:Depends}
Description: Settings for GDM3
add description here

Package: whiteroom-gdm3-livesettings
Architecture: all
Pre-Depends: whiteroom-gdm3-settings,
gdm3,
gnome-icon-theme
Depends: ${misc:Depends}
Description: GDM3 settings in live mode
The live-package throw in all dependencies for the
settings package

+ 58
- 0
debian/copyright View File

@@ -0,0 +1,58 @@
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: siduction-settings
Source: http://git.siduction.org/?p=code/siduction-settings.git;a=summary


Files: TODO VERSION
Copyright: 2014-2015 Alf Gaida <agaida@siduction.org>
License: GPL-2.0+


Files: debian/*
Copyright: 2012-2016 Alf Gaida <agaida@siduction.org>
2012-2016 Ovidiu Angelescu <convbsd@siduction.net>
2011-2012 Torsten Wohlfarth <towo@siduction.org>
2008-2010 Stefan Lippers-Hollmann <s.l-h@gmx.de>
2007-2008 Kel Modderman <kel@otaku42.de>
2006-2010 Bernard Gray <bernard.gray@gmail.com>
License: GPL-2.0+


Files: gdm3/*
Copyright: 2012-2016 Ovidiu Angelescu <convbsd@siduction.net>
2013-2016 Alf Gaida <agaida@siduction.org>
License: GPL-3.0+

License: GPL-2.0+
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-3.0+
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
.
On Debian systems, the complete text of the GNU General
Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".

+ 1
- 0
debian/gdm3-settings-whiteroom.install View File

@@ -0,0 +1 @@
dm-gdm3/10-gdm3-settings usr/share/gdm/dconf

+ 86
- 0
debian/gdm3-settings-whiteroom.postinst View File

@@ -0,0 +1,86 @@
#!/bin/sh
# postinst script for #PACKAGE#

set -e


if [ -f /etc/default/distro ]; then
. /etc/default/distro
fi

DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager

say() {
echo "I: $@..."
}


autologin() {
if ischroot ; then
# autologin + greeter theme
# timed login required for login after x restart
sed -i -e "/^AutomaticLogin\=.*/d" \
-e "/^AutomaticLoginEnable\=.*/d" \
-e "/^TimedLoginEnable\=.*/d" \
-e "/^TimedLogin\=.*/d" \
-e "/^TimedLoginDelay\=.*/d" \
-e "s/^\(\[daemon\]$\)/\1\nAutomaticLogin\=${FLL_LIVE_USER}\nAutomaticLoginEnable\=true\n \
\nTimedLoginEnable\=true\nTimedLogin\=${FLL_LIVE_USER}\nTimedLoginDelay\=1/" \
/etc/gdm3/daemon.conf
fi
}

siduction_logo() {
if [ -f "/etc/gdm3/greeter.dconf-defaults" ] ; then
# Comment logo in debian greeter settings
# siduction logo it is pushed by siduction-gdm3-settings
for exp in logo fallback-logo; do
if grep -q ${exp} /etc/gdm3/greeter.dconf-defaults ; then
sed -i "s@^${exp}@#${exp}@" /etc/gdm3/greeter.dconf-defaults
fi
done
if grep -q [org/gnome/login-screen] /etc/gdm3/greeter.dconf-defaults ; then
sed -i "s@^\[org/gnome/login-screen\]@#[org/gnome/login-screen]@" /etc/gdm3/greeter.dconf-defaults
fi
fi
}

case "$1" in
triggered|upgrade)
for trigger in $2; do
if ! [ -d $trigger ]; then
continue
fi
case $trigger in
/etc/gdm3)
siduction_logo
;;
esac
done
;;
configure)
say 'Writing gdm3 settings'
GDM3="$(which gdm3 2>/dev/null)"
echo "${GDM3}" > "${DEFAULT_DISPLAY_MANAGER_FILE}"
# fix the init 3 issue
ldmini=`fgrep retry /etc/init.d/gdm3`
if [ "${ldmini}" ] ; then
sed -i "s@${ldmini}@${ldmini}\n\tchvt 1@" /etc/init.d/gdm3
fi
autologin
siduction_logo
# Reload gdm3 configuration
invoke-rc.d gdm3 reload || true
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac


#DEBHELPER#

exit 0

+ 27
- 0
debian/gdm3-settings-whiteroom.prerm View File

@@ -0,0 +1,27 @@
#!/bin/sh
# prerm script for #PACKAGE#

set -e

case "$1" in
remove|upgrade)
if [ -f "/etc/gdm3/greeter.dconf-defaults" ] ; then
# Uncomment logo in debian greeter settings
for exp in logo fallback-logo; do
if grep -q ${exp} /etc/gdm3/greeter.dconf-defaults ; then
sed -i "s@^#${exp}@${exp}@" /etc/gdm3/greeter.dconf-defaults
fi
done
if grep -q [org/gnome/login-screen] /etc/gdm3/greeter.dconf-defaults ; then
sed -i "s@^#\[org/gnome/login-screen\]@[org/gnome/login-screen]@" /etc/gdm3/greeter.dconf-defaults
fi
fi
;;
*)
echo "postinst called with unknown argument '$1'" >&2
exit 1
;;
esac

#DEBHELPER#


+ 3
- 0
debian/gdm3-settings-whiteroom.triggers View File

@@ -0,0 +1,3 @@
interest /etc/gdm3



+ 13
- 0
debian/rules View File

@@ -0,0 +1,13 @@
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
dh $@ --with systemd

override_dh_installinit:
dh_systemd_enable
dh_installinit

override_dh_install:
dh_install --fail-missing

+ 1
- 0
debian/source/format View File

@@ -0,0 +1 @@
3.0 (native)

+ 4
- 0
debian/source/options View File

@@ -0,0 +1,4 @@
compression-level = 9
tar-ignore = templates
tar-ignore = bootstrap.sh
tar-ignore = FLAVOUR

Loading…
Cancel
Save